Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IIOP
Class ListenPointHelper

    java.lang.Object
      |
      +--org.omg.IIOP.ListenPointHelper

public class ListenPointHelper
extends java.lang.Object

Helper class for : ListenPoint

Author:
  OpenORB Compiler

Constructor Summary
`ListenPointHelper()`

Method Summary
`static ListenPoint` | `extract(Any a)` Extract ListenPoint from an any
`static java.lang.String` | `id()` Return the ListenPoint IDL ID
`static void` | `insert(Any a, ListenPoint t)` Insert ListenPoint into an any
`static ListenPoint` | `read(InputStream istream)` Read ListenPoint from a marshalled stream
`static TypeCode` | `type()` Return the ListenPoint TypeCode
`static void` | `write(OutputStream ostream, ListenPoint value)` Write ListenPoint into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenPointHelper

    public ListenPointHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ListenPoint t)

  Insert ListenPoint into an any
  Parameters:
    `a` - an any
    `t` - ListenPoint value

### extract

    public static ListenPoint extract(Any a)

  Extract ListenPoint from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ListenPoint value

### type

    public static TypeCode type()

  Return the ListenPoint TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ListenPoint IDL ID
  Returns:
    an ID

### read

    public static ListenPoint read(InputStream istream)

  Read ListenPoint from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ListenPoint value

### write

    public static void write(OutputStream ostream,
                             ListenPoint value)

  Write ListenPoint into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ListenPoint value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD